﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<!DOCTYPE HTML>
<html>
 <head>
  <title>Worker example: One-core computation</title>
   <script src="<%= Url.Content("~/scripts/modernizr-1.7.min.js") %>"></script>
   <script src="<%= Url.Content("~/scripts/jquery-1.5.1.min.js") %>"></script>
 </head>
 <body>
  <p>The highest prime number discovered so far is: <output id="result"></output></p>
  <script>
      if (Modernizr.webworkers) {
          var worker = new Worker('<%= Url.Content("~/scripts/Worker.js") %>');
          worker.onmessage = function (event) {
              document.getElementById('result').textContent = event.data;
          };

          worker.onerror = function (event) {
              console.log(event.message, event);
          };
      } else {
          alert("Sorry!! you do not have web workers support.");
      }
  </script>
 </body>
</html>


