﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<!DOCTYPE HTML>
<html>
 <head>
  <title>Web Worker Example</title>
   <script src="<%= Url.Content("~/scripts/modernizr-1.7.min.js") %>"></script>
 </head>
 <body>
  <p>Result: <output id="result"></output></p>
  <script>
      if (Modernizr.webworkers) {
          var worker = new Worker('/scripts/LogStats.js');
          worker.onmessage = function (event) {
              document.getElementById('result').textContent = event.data;
          };

          worker.onerror = function (event) {
              console.log(event.message, event);
          };
      } else {
          alert("Sorry!! you do not have web workers support.");
            }
  </script>
 </body>
</html>
